Page MenuHomePhabricator

Video.js player needs a link to the description page
Closed, ResolvedPublic

Description

Idea, add a floating top right, info button when hovering the player ? A bit like Vimeo has for Like, Watch Later, Collection, Share ?

Possibly could also be implemented as an endcard (like we have in TMH), but we have had tickets about how the link to the video details page should be more prominent, so....

This won't work for audio files however. Just add a toolbar button for audio files ? Might become crowded... Audio player keeps giving me nightmares on this front...

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterVery simple info button for video.js

Event Timeline

TheDJ created this task.Apr 12 2016, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2016, 7:33 PM
TheDJ moved this task from Backlog to Video.js on the Kaltura player board.Apr 12 2016, 7:33 PM
brion added a subscriber: brion.Apr 13 2016, 9:20 PM

I think we'll want an info button in the toolbar yeah, it's a little space but it's the most important button after play/pause. :)

Paladox added a subscriber: Paladox.May 8 2016, 2:18 PM

Change 288122 had a related patch set uploaded (by TheDJ):
Very simple info button for video.js

https://gerrit.wikimedia.org/r/288122

TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.May 11 2016, 7:27 AM

Change 288122 merged by jenkins-bot:
Very simple info button for video.js

https://gerrit.wikimedia.org/r/288122

brion closed this task as Resolved.Oct 4 2016, 7:53 PM

This merged a while ago. Resolving.